Skip to navigation

Retrieve all Machines/Instance Type associations

View as Markdown

Get all Machines for a given Instance Type

Org must have an Infrastructure Provider entity that owns the Instance Type and the Machine. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
instanceTypeIdstringRequiredformat: "uuid"
ID of the Instance Type

Query parameters

pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query
Allowed values:

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
machineIdstringOptional
ID of the associated Machine
instanceTypeIdstringOptionalformat: "uuid"
ID of the associated Instance Type
deprecationslist of objectsOptional
Deprecations active for this resource. Returned only if there are active deprecations.
createddatetimeOptionalRead-only
Date and time the Machine Instance Type was created
updateddatetimeOptional
Date and time the Machine Instance Type was last updated

Errors

403
Forbidden Error